Debian Bug report logs - #244169
progsreiserfs: F*cked my root partition

version graph

Package: progsreiserfs; Maintainer for progsreiserfs is (unknown);

Reported by: Patrick Steiger <obake@gmx.net>

Date: Sat, 17 Apr 2004 03:33:01 UTC

Severity: critical

Merged with 348185

Found in version 0.3.0.4-3

Done: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Timshel Knoll-Miller <timshel@debian.org>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Patrick Steiger <obake@gmx.net>:
New Bug report received and forwarded. Copy sent to Timshel Knoll-Miller <timshel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Steiger <obake@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: progsreiserfs: F*cked my root partition
Date: Sun, 18 Apr 2004 00:20:35 -0300
Package: progsreiserfs
Severity: normal
Tags: sid

Well, the resize tool completely fucked my *umounted* / partition, the 
manpage and the --help doesn't explain cleary what's the correct syntax 
(i've used -10G). Also, it doesn't even have a fsck, which is basic on 
*progs filesystem packages. 

Anyway, i'm using XFS now.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.5
Locale: LANG=C, LC_CTYPE=C



Information forwarded to debian-bugs-dist@lists.debian.org, Timshel Knoll-Miller <timshel@debian.org>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Jeff Breidenbach <jeff@jab.org>:
Extra info received and forwarded to list. Copy sent to Timshel Knoll-Miller <timshel@debian.org>. Full text and rfc822 format available.

Message #10 received at 244169@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jeff@jab.org>
To: 244169@bugs.debian.org
Subject: resize problem
Date: Sun, 16 May 2004 18:49:05 -0700
This program also severely damaged a data partition (it was
recoverable but only via lots of expert help). Namesys recommends to
use resize_reiserfs by reiserfsprogs instead while progsreiserfs comes
up to speed. Note that GNU parted apparently calls progsreiserfs when
a partition is resized, which is what got me into trouble.



Severity set to `grave'. Request was from Jeff Breidenbach <jeff@jab.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Timshel Knoll-Miller <timshel@debian.org>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Ian Tester <imroy@spin.net.au>:
Extra info received and forwarded to list. Copy sent to Timshel Knoll-Miller <timshel@debian.org>. Full text and rfc822 format available.

Message #17 received at 244169@bugs.debian.org (full text, mbox):

From: Ian Tester <imroy@spin.net.au>
To: 244169@bugs.debian.org
Subject: progsreiserfs is a dangerous package
Date: Sat, 5 Jun 2004 08:40:17 +1000 (EST)
Version: 0.3.0.4-3

My story:
I recently set up a new 360G RAID5 system using a 3Ware controller. I wanted the
latest version of important packages (mainly lvm2/dm and reiserfsprogs). I saw
that progsreiserfs 'replaces' reiserfsprogs and other indicators (e.g that
several other packaes also used libreiserfs) lead me to believe that this
package was a successor to reiserfsprogs. I installed it and used the
mkfs.reiser program to create two 40G filesystems on the RAID array.

Within 48 hours of moving data to the new filesystems, the machine was having
serious problems and I was forced to investigate. I found hundreds of messages
like this in the kernel log:

	is_tree_node: node level 65535 does not match to the expected one 1
	vs-5150: search_by_key: invalid format found in block 8945664. Fsck?

I investigated further and I noticed two things:

1. These programs and libreiserfs aren't "official".
   This sentence in the discription is a little ambiguous:

	These tools differ from the standard Namesys ReiserFS tools
	in that they use libreiserfs to do their work.

2. fsck.reiser does nothing!

Thankfully it has turned out well. I re-installed reiserfsprogs and used
reiserfsck to rebuild the tree, a rather long process. And I was able to fix the
Cyrus email folders that were on one of the filesystems with cyrreconstruct.
Some (20) family emails dissapeared into a black hole, but the 'from:' addresses
were recovered from the postfix logs. The few non-spam emails were resent.

The package description really should make it clear that the progsreiserfs and
libreiserfs packages do not contain "official" Namesys code. It should
especially warn that the fsck is a no-op and that mkfs (could? might?
protentially?) create a buggy filesystem.

thankyou



Tags removed: sid Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <debianbts-244169@rivera.za.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #24 received at 244169@bugs.debian.org (full text, mbox):

From: Stefano Rivera <debianbts-244169@rivera.za.net>
To: 244169@bugs.debian.org
Subject: Re: progsreiserfs is a dangerous package
Date: Sat, 11 Dec 2004 17:25:44 +0200
I've found that filesystems created with mkfs.reiserfs from
progsreiserfs 0.3.0.4-4_i386 weren't created correctly.

I found that when writing into the filesystem in question when the used
disk space reached 4GB, the fs would throw "No space left on device"
errors (on a 81G LVM partition).

Recreating the fs with reiserfsprogs' mkfs.reiserfs solved the problem.

SR

-- 
+---------------------------------------------------------+
| Stefano Rivera                     http://rivera.za.net |
|  H: +27 21 794 7937    () ASCII Ribbon Campaign:        |
|  C: +27 72 419 8559    /\ Say "No!" to HTML email.      |
+---------------------------------------------------------+
Life's unfair - but root password helps!



Reply sent to Jose Luis Tallon <jltallon@adv-solutions.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patrick Steiger <obake@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 244169-close@bugs.debian.org (full text, mbox):

From: Jose Luis Tallon <jltallon@adv-solutions.net>
To: 244169-close@bugs.debian.org
Subject: Bug#244169: fixed in progsreiserfs 0.3.0.5-1
Date: Sun, 15 Jan 2006 05:17:08 -0800
Source: progsreiserfs
Source-Version: 0.3.0.5-1

We believe that the bug you reported is fixed in the latest version of
progsreiserfs, which is due to be installed in the Debian FTP archive:

libreiserfs0.3-0_0.3.0.5-1_i386.deb
  to pool/main/p/progsreiserfs/libreiserfs0.3-0_0.3.0.5-1_i386.deb
libreiserfs0.3-dbg_0.3.0.5-1_i386.deb
  to pool/main/p/progsreiserfs/libreiserfs0.3-dbg_0.3.0.5-1_i386.deb
libreiserfs0.3-dev_0.3.0.5-1_i386.deb
  to pool/main/p/progsreiserfs/libreiserfs0.3-dev_0.3.0.5-1_i386.deb
libreiserfs0.3-udeb_0.3.0.5-1_i386.udeb
  to pool/main/p/progsreiserfs/libreiserfs0.3-udeb_0.3.0.5-1_i386.udeb
progsreiserfs_0.3.0.5-1.diff.gz
  to pool/main/p/progsreiserfs/progsreiserfs_0.3.0.5-1.diff.gz
progsreiserfs_0.3.0.5-1.dsc
  to pool/main/p/progsreiserfs/progsreiserfs_0.3.0.5-1.dsc
progsreiserfs_0.3.0.5-1_i386.deb
  to pool/main/p/progsreiserfs/progsreiserfs_0.3.0.5-1_i386.deb
progsreiserfs_0.3.0.5.orig.tar.gz
  to pool/main/p/progsreiserfs/progsreiserfs_0.3.0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 244169@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Luis Tallon <jltallon@adv-solutions.net> (supplier of updated progsreiserfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 14 Jan 2006 19:35:08 +0100
Source: progsreiserfs
Binary: progsreiserfs libreiserfs0.3-udeb libreiserfs0.3-dbg libreiserfs0.3-dev libreiserfs0.3-0
Architecture: source i386
Version: 0.3.0.5-1
Distribution: unstable
Urgency: low
Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Changed-By: Jose Luis Tallon <jltallon@adv-solutions.net>
Description: 
 libreiserfs0.3-0 - ReiserFS access and manipulation library, shared libraries
 libreiserfs0.3-dbg - ReiserFS access and manipulation library - debug version
 libreiserfs0.3-dev - ReiserFS access and manipulation library - development files
 libreiserfs0.3-udeb - ReiserFS access and manipulation library (udeb)
 progsreiserfs - Third-party alternative tools to manipulate ReiserFS filesystems
Closes: 231304 244169 252587 273515
Changes: 
 progsreiserfs (0.3.0.5-1) unstable; urgency=low
 .
   * Updated to newer upstream version ... (Closes: #231304)
     - Will this work? (Closes: #244169)
 .
   * Corrected description for progsreiserfs (Closes: #273515)
 .
   * build process
     - Compatibility mode bumped to v4
     - Upgraded to automake1.7, improved autotools interaction
     - Updated libtool (Closes: #252587)
 .
   * Package sponsored by Enrico Zini <enrico@debian.org>
Files: 
 a40a06044c8f86c9c58ceb029714d6fa 715 admin optional progsreiserfs_0.3.0.5-1.dsc
 d822579bbd4a29a1be5e4490869d9bee 446099 admin optional progsreiserfs_0.3.0.5.orig.tar.gz
 2d497383ce2cb347b30edf448122feb4 262002 admin optional progsreiserfs_0.3.0.5-1.diff.gz
 d500261d4ce96c220e229c53e26b1cf0 31120 admin extra progsreiserfs_0.3.0.5-1_i386.deb
 2702e011cbc6c3e5a86280dd227f42b5 49150 libs optional libreiserfs0.3-0_0.3.0.5-1_i386.deb
 5b0efb47fff68cb9f9a2959fa2ba2917 31394 debian-installer extra libreiserfs0.3-udeb_0.3.0.5-1_i386.udeb
 249e1f146b09d368897e47cc458fcf8d 65762 devel optional libreiserfs0.3-dev_0.3.0.5-1_i386.deb
 b48d825eee3069ec7a483e9660eb53c5 137506 devel extra libreiserfs0.3-dbg_0.3.0.5-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDykl29LSwzHl+v6sRArXRAJ4+FicUHfNZ4P+9bY/nVhHxJTy+EACdE/Du
4sGPcrgZhATxfGWPV0A+KTA=
=dz35
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #34 received at 244169@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 244169@bugs.debian.org
Cc: Jose Luis Tallon <jltallon@adv-solutions.net>, enrico@debian.org
Subject: Re: Bug#244169: marked as done (progsreiserfs: F*cked my root partition)
Date: Sun, 15 Jan 2006 05:48:13 -0800
[Message part 1 (text/plain, inline)]
reopen 244169
thanks

>  progsreiserfs (0.3.0.5-1) unstable; urgency=low
>  .
>    * Updated to newer upstream version ... (Closes: #231304)
>      - Will this work? (Closes: #244169)

You mean you don't *know* if the new version still eats partitions?  Could
you please not close release-critical bugs (in particular, data-loss bugs)
if it's not confirmed that the bugs are fixed?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #39 received at 244169@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: 244169@bugs.debian.org, 244169-submitter@bugs.debian.org
Subject: Bugs should be closed when the bug has been proven to disappear
Date: Sun, 15 Jan 2006 14:54:21 +0100
[Message part 1 (text/plain, inline)]
Hello,

Sorry, my fault, this one slipped when I checked the package.

I'm reopening this bug which was closed by this changelog entry:

 * Updated to newer upstream version ... (Closes: #231304)
    - Will this work? (Closes: #244169)

Of course a bug should be closed when the problem has been reported to
be solved, not when one hopes that the new version will solve the
problem :)


Ciao,

Enrico

-- 
GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@debian.org>
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Patrick Steiger <obake@gmx.net>:
Bug#244169. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #49 received at 244169@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Enrico Zini <enrico@enricozini.org>, 244169@bugs.debian.org
Cc: 244169-submitter@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#244169: Bugs should be closed when the bug has been proven to disappear
Date: Sun, 15 Jan 2006 15:20:14 +0100
Enrico Zini wrote:

>Hello,
>
>Sorry, my fault, this one slipped when I checked the package.
>
>I'm reopening this bug which was closed by this changelog entry:
>
> * Updated to newer upstream version ... (Closes: #231304)
>    - Will this work? (Closes: #244169)
>
>Of course a bug should be closed when the problem has been reported to
>be solved, not when one hopes that the new version will solve the
>problem :)
>  
>
We haven't got any feedback on this for ages (mostly my fault, i must
admit).
A possibility to check wether this works (a new upstream version
supposedly fixes bugs, right?) is to let people test it, warning them
before.

Enrico: I thought that you agreed with this, after seeing your reply to
my last e-mail... must have misunderstood, sorry.


You will see that i have filed another RC bug against this, more clearly
explaining this issue (i think).


    J.L.




Message sent on to Patrick Steiger <obake@gmx.net>:
Bug#244169. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #57 received at 244169@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: José Luis Tallón <jltallon@adv-solutions.net>
Cc: 244169@bugs.debian.org, 244169-submitter@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#244169: Bugs should be closed when the bug has been proven to disappear
Date: Sun, 15 Jan 2006 15:41:12 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 15, 2006 at 03:20:14PM +0100, José Luis Tallón wrote:

> Enrico Zini wrote:
> We haven't got any feedback on this for ages (mostly my fault, i must
> admit).
> A possibility to check wether this works (a new upstream version
> supposedly fixes bugs, right?) is to let people test it, warning them
> before.

Yes.  Since you can't be sure that the upload has fixed the patch, since
the exact nature of the bug hadn't been pinpointed, the correct
procedure is to upload the new upstream version, leave the bug open and
ask the submitter if they could please try again to reproduce the bug.
Which is indeed very hard because it would involve obscure and dangerous
filesystem operations.

Of course if the submitter doesn't reply after a while and noone
confirms the bug still exists, you can consider closing it.  But in this
case (filesystem corruption, better tools exist, upstream is dead,
you're considering asking for removal of the package), I guess one could
just leave the bug there.


> Enrico: I thought that you agreed with this, after seeing your reply to
> my last e-mail... must have misunderstood, sorry.
> You will see that i have filed another RC bug against this, more clearly
> explaining this issue (i think).

Yes, it is my mistake.  I thought that the idea of leaving an RC bug
open also involved leaving this RC bug open, and I didn't pay too much
attention about it when reviewing the changelog.

Sorry about that, now the bug is open again and everthing should be back
to normal :)


Ciao,

Enrico

--
GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Message sent on to Patrick Steiger <obake@gmx.net>:
Bug#244169. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #65 received at 244169@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: José Luis Tallón <jltallon@adv-solutions.net>
Cc: 244169@bugs.debian.org
Subject: Re: Bug#244169: marked as done (progsreiserfs: F*cked my root partition)
Date: Sun, 15 Jan 2006 20:12:23 -0800
[Message part 1 (text/plain, inline)]
severity 244169 critical
merge 348185 244169
thanks

On Sun, Jan 15, 2006 at 03:21:18PM +0100, José Luis Tallón wrote:
> Steve Langasek wrote:

> >> progsreiserfs (0.3.0.5-1) unstable; urgency=low
> >> .
> >>   * Updated to newer upstream version ... (Closes: #231304)
> >>     - Will this work? (Closes: #244169)

> >You mean you don't *know* if the new version still eats partitions?  Could
> >you please not close release-critical bugs (in particular, data-loss bugs)
> >if it's not confirmed that the bugs are fixed?

> I was re-submitting an RC bug to avoid it migrating to testing...
> If it's not via user testing, how can we ensure that it does work??

Er... by actually *finding* the bug and fixing it?  Or if you have a
reproducible test case, sure, testing the new upstream version to see if it
passes the test case is also appropriate.  But presuming the bug is closed
without any basis in fact isn't.

> I have no means to test it right now, and a new upstream release should
> be better in that respect, right?

Hahaha no. :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Severity set to `critical'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 244169 348185. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#244169; Package progsreiserfs. Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. Full text and rfc822 format available.

Message #74 received at 244169@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-devel@lists.debian.org, 244169@bugs.debian.org, 362032@bugs.debian.org
Subject: Please remove 'progsreiserfs' from the Archive
Date: Fri, 11 May 2007 00:50:12 +0200
Package: ftp.debian.org
Severity: normal

    After a full release cycle, it is high time we did.

    Having nobody actually using 'progsreiserfs' ---the installations
reported by popcon are certainly due to mistaken installations looking
for 'reiserfsprogs'---, and given that upstream dissapeared quite some
time ago, it is pointless to keep it in the Archive.


    Vorlon, this will additionally get rid of a source of RC bugs -- so
much better for everybody :-)



Regards,

    J.L.




Bug closed, send any further explanations to Patrick Steiger <obake@gmx.net> Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Wed, 17 Oct 2007 22:30:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Nov 2007 07:29:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:14:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.